#! /usr/bin/env python

import sys,getopt

import matplotlib.pyplot as plt
import numpy as np

from ConfigParser import ConfigParser

options, args = getopt.getopt(sys.argv[1:], 'hi:d:t:o:f:',['help']) 

options = dict(options)

print options, args

if '--help' in options.keys() or '-h' in options.keys() or len(sys.argv) == 1:
    print('Usage: '+sys.argv[0]+' --help|-h config_file.cfg\n'
          'The program processes indicators for all pairs of road users in the scene\n\n'
          'Order matters between positional and named arguments')
    sys.exit()

# TODO work on the way to indicate an interaction definition

if len(args)>0: # consider there is a configuration file
    config = ConfigParser()
    config.readfp(FakeSecHead(open(args[0])))
    sectionHeader = config.sections()[0]
    videoFilename = config.get(sectionHeader, 'video-filename')
    databaseFilename = config.get(sectionHeader, 'database-filename')
    homography = inv(loadtxt(config.get(sectionHeader, 'homography-filename')))
    firstFrameNum = config.getint(sectionHeader, 'frame1')

    
